## com.lowagie.tools.plugins.treeview
Class ArrayTreeNode

    java.lang.Object
      javax.swing.tree.DefaultMutableTreeNode
          com.lowagie.tools.plugins.treeview.UpdateableTreeNode
              com.lowagie.tools.plugins.treeview.ArrayTreeNode

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, javax.swing.tree.MutableTreeNode, javax.swing.tree.TreeNode

    public class ArrayTreeNode

extends UpdateableTreeNode

TreeNode for PdfArray objects.

See Also:
  Serialized Form

Field Summary
`(package private) PdfArray` `arr`
`private static long` `serialVersionUID`

Fields inherited from class javax.swing.tree.DefaultMutableTreeNode
`allowsChildren, children, EMPTY_ENUMERATION, parent, userObject`

Constructor Summary
`ArrayTreeNode(java.lang.Object userObject, boolean allowchildren)`
`ArrayTreeNode(java.lang.Object userObject, PdfArray arr)`

Method Summary
`javax.swing.Icon` `getIcon()`
`void` `updateview(IUpdatenodeview updateobject)` updateview

Methods inherited from class javax.swing.tree.DefaultMutableTreeNode

`add, breadthFirstEnumeration, children, clone, depthFirstEnumeration, getAllowsChildren, getChildAfter, getChildAt, getChildBefore, getChildCount, getDepth, getFirstChild, getFirstLeaf, getIndex, getLastChild, getLastLeaf, getLeafCount, getLevel, getNextLeaf, getNextNode, getNextSibling, getParent, getPath, getPathToRoot, getPreviousLeaf, getPreviousNode, getPreviousSibling, getRoot, getSharedAncestor, getSiblingCount, getUserObject, getUserObjectPath, insert, isLeaf, isNodeAncestor, isNodeChild, isNodeDescendant, isNodeRelated, isNodeSibling, isRoot, pathFromAncestorEnumeration, postorderEnumeration, preorderEnumeration, remove, remove, removeAllChildren, removeFromParent, setAllowsChildren, setParent, setUserObject, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

See Also:
  Constant Field Values

### arr

    PdfArray arr

Constructor Detail

### ArrayTreeNode

    public ArrayTreeNode(java.lang.Object userObject,
                         PdfArray arr)

### ArrayTreeNode

    public ArrayTreeNode(java.lang.Object userObject,
                         boolean allowchildren)

Method Detail

### updateview

    public void updateview(IUpdatenodeview updateobject)

  updateview

  Specified by:
    `updateview` in class `UpdateableTreeNode`
  Parameters:
    `updateobject` - IUpdatenodeview

### getIcon

    public javax.swing.Icon getIcon()

  Overrides:
    `getIcon` in class `UpdateableTreeNode`